net.sf.jasperreports.engine

## Interface PrintElementVisitor<T>

- Type Parameters:
    `T` - the type of the argument that gets passed to the visit operation
  All Known Implementing Classes:
    CompositePrintElementVisitor, DeepPrintElementCounter, DeepPrintElementVisitor, DefaultPrintElementVisitor, HtmlExporter.CellElementVisitor, PrintDrawVisitor, UniformPrintElementVisitor

      public interface PrintElementVisitor<T>

  Print element visitor interface.

  The visit methods can receive one argument of a specified type.

  Version:
    $Id: PrintElementVisitor.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRPrintElement.accept(PrintElementVisitor, Object)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(JRGenericPrintElement printElement, T arg)` Visits a generic print element.
    `void` | `visit(JRPrintEllipse ellipse, T arg)` Visits a print ellipse.
    `void` | `visit(JRPrintFrame frame, T arg)` Visits a print frame.
    `void` | `visit(JRPrintImage image, T arg)` Visits a print image.
    `void` | `visit(JRPrintLine line, T arg)` Visits a print line.
    `void` | `visit(JRPrintRectangle rectangle, T arg)` Visits a print rectangle.
    `void` | `visit(JRPrintText textElement, T arg)` Visits a text print element.

- - ### Method Detail

    - #### visit

          void visit(JRPrintText textElement,
                   T arg)

      Visits a text print element.
      Parameters:
        `textElement` - the element to visit
        `arg` - an argument passed for the visit

    - #### visit

          void visit(JRPrintImage image,
                   T arg)

      Visits a print image.
      Parameters:
        `image` - the image to visit
        `arg` - an argument passed for the visit

    - #### visit

          void visit(JRPrintRectangle rectangle,
                   T arg)

      Visits a print rectangle.
      Parameters:
        `rectangle` - the rectangle to visit
        `arg` - an argument passed for the visit

    - #### visit

          void visit(JRPrintLine line,
                   T arg)

      Visits a print line.
      Parameters:
        `line` - the line to visit
        `arg` - an argument passed for the visit

    - #### visit

          void visit(JRPrintEllipse ellipse,
                   T arg)

      Visits a print ellipse.
      Parameters:
        `ellipse` - the ellipse to visit
        `arg` - an argument passed for the visit

    - #### visit

          void visit(JRPrintFrame frame,
                   T arg)

      Visits a print frame.
      Parameters:
        `frame` - the frame to visit
        `arg` - an argument passed for the visit

    - #### visit

          void visit(JRGenericPrintElement printElement,
                   T arg)

      Visits a generic print element.
      Parameters:
        `printElement` - the element to visit
        `arg` - an argument passed for the visit

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com